Loading...
Loading...
Get up and running with the Notify'n API in under 5 minutes.
Sign up for a free Notify'n account to get started. The free plan gives you full access to explore the platform.
Navigate to Settings → API Keys in your dashboard and create a new API key.
# Your API key will look like this:
ntfn_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxAdd your API key to your environment variables:
# .env file
NOTIFYN_API_KEY=ntfn_your_api_key_hereUse your favourite language to send a message:
curl -X POST https://notifyn.net/api/v1/emails \
-H "Authorization: Bearer $NOTIFYN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"from": "hello@yourdomain.com",
"to": "user@example.com",
"subject": "Hello from Notifyn!",
"html": "<h1>Welcome!</h1><p>Your first email via the API.</p>"
}'const response = await fetch('https://notifyn.net/api/v1/emails', {
method: 'POST',
headers: {
'Authorization': `Bearer ${process.env.NOTIFYN_API_KEY}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
from: 'hello@yourdomain.com',
to: 'user@example.com',
subject: 'Hello from Notifyn!',
html: '<h1>Welcome!</h1><p>Your first email via the API.</p>',
}),
});const data = await response.json();
console.log('Email sent:', data.id);import os
import requestsresponse = requests.post(
'https://notifyn.net/api/v1/emails',
headers={
'Authorization': f'Bearer {os.environ["NOTIFYN_API_KEY"]}',
'Content-Type': 'application/json',
},
json={
'from': 'hello@yourdomain.com',
'to': 'user@example.com',
'subject': 'Hello from Notifyn!',
'html': '<h1>Welcome!</h1><p>Your first email via the API.</p>',
}
)data = response.json()
print(f'Email sent: {data["id"]}')You should receive a response like this:
{
"success": true,
"id": "email_abc123xyz",
"message": "Email sent successfully"
}